package xyz.tbvns.Managers;

import oshi.SystemInfo;
import oshi.software.os.OperatingSystem;
import oshi.software.os.linux.LinuxOperatingSystem;
import oshi.software.os.mac.MacOperatingSystem;
import oshi.software.os.windows.WindowsOperatingSystem;

import java.io.File;

public class FilesManager {

    public static final String windowSaveFolder = System.getenv("LOCALAPPDATA") + "/PowerGD";
    public static final String linuxSaveFolder = System.getProperty("user.home") + "/PowerGD";
    public static final String macSaveFolder = System.getProperty("user.home") + "/PowerGD";



    public static String getSaveFolder() {
        SystemInfo si = new SystemInfo();
        OperatingSystem os = si.getOperatingSystem();
        if (os instanceof WindowsOperatingSystem) {
            return windowSaveFolder;
        } else if (os instanceof LinuxOperatingSystem) {
            return linuxSaveFolder;
        } else if (os instanceof MacOperatingSystem) {
            return macSaveFolder;
        }
        throw new RuntimeException("Unsupported operating system !");
    }

    public static File getTextureFolder() {
        return new File(getSaveFolder() + "/textures");
    }
}
